movehtml
========

Small tool used to 'move' (mv) the file/directory pair created by the browser when saving an html page.

**movehtml** allow to move `HTML_PAGE_NAME`**.html** and `HTML_PAGE_NAME`**_files**.

Before performing this action **movehtml** check if file `HTML_PAGE_NAME`**.html** exist
and if directory `HTML_PAGE_NAME`**_files** exist.


Installation
------------

First you need to get project. You can download [lastest release](https://git.cclaude.rocks/tools/movehtml/-/releases) (**tar.gz** file) or using git:

```bash
git clone --recurse-submodules https://git.cclaude.rocks/tools/movehtml.git
```

Then from project directory :

```bash
sudo bash ./movehtml-install.sh
```

To remove, use:

```bash
sudo bash /usr/local/share/movehtml/movehtml-remove.sh
```

### Install options

You can get help using :

```bash
bash ./prepare-raspbian-sd-install.sh --help
```

| Option                            | Description                   |
|-----------------------------------|-------------------------------|
| -S, --skip-update                 | To skip update before install required packets |
| -P PMEXE, --package-manager PMEXE | Force package manager binary name |


Configuration (optional but recommended)
-------------

```bash
movehtml-config
```

or

```bash
movehtml-config --source-dir <SOURCE_FOLDER> --destination-dir-base <DESTINATION_FOLDER_BASE> [--continue-on-error]
```

or using shorcuts:

```bash
movehtml-config -S <SOURCE_FOLDER> -S <DESTINATION_FOLDER_BASE> [-C]
```

How to configure ?

Let say you want to all HTML entries in `~/Downloads` to `~/Downloads/myhtml`
and index download at each run.


```bash
movehtml-config --source-dir ~/Downloads --destination-dir-base ~/Downloads/my_html_backups/html
```

That mean it will create folders named: `~/Downloads/my_html_backups/html<INDEX>` where
INDEX is an integer starting from 0 and that is increment at each call.


Usage
-----

Moving all HTML pages to a define folder.

```bash
movehtml --source-dir <SOURCE_FOLDER> --destination-dir-base <DESTINATION_FOLDER_BASE>
```

or simply (using default values)

```bash
movehtml
```

By default, movehtml will stop as soon as it encounters a mismatch between html files and file directories.
You can force further processing using the -C option.

```bash
movehtml -C
```
